Page MenuHomePhabricator

Content service suppresses elements with CSS class noprint
Closed, ResolvedPublic0.5 Story Points

Description

This is a print screen from android:


It should be visualizing like this:

TheDJ (Derk-Jan Hartman) told me that this page is visualizing correctly on iOS.
https://en.wikipedia.org/wiki/Portal:Engineering/Intro
Note: this task is related to task T120238

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2016, 3:36 PM
Dbrant added a subscriber: Dbrant.

This actually seems to be an issue with Parsoid and/or the Content Service (which would make sense because iOS doesn't use the content service yet). I'm not seeing any html elements that have the noprint class, which means that this is definitely happening before the content reaches the Android app.

Dbrant renamed this task from Android app hides hides class noprint to Content service suppresses elements with CSS class noprint.Nov 1 2016, 3:51 PM
Lbertolotti updated the task description. (Show Details)Nov 1 2016, 3:54 PM
ssastry added a subscriber: ssastry.EditedNov 1 2016, 3:55 PM

This actually seems to be an issue with Parsoid and/or the Content Service (which would make sense because iOS doesn't use the content service yet). I'm not seeing any html elements that have the noprint class, which means that this is definitely happening before the content reaches the Android app.

https://en.wikipedia.org/api/rest_v1/page/html/Portal:Engineering%2FIntro has the noprint class on the 'More about Engineering' <div> element. AFAICT, the rest of the noprint classes seem to be on elements from the skin which Parsoid doesn't render.

Lbertolotti updated the task description. (Show Details)Nov 1 2016, 3:57 PM

Change 319099 had a related patch set uploaded (by BearND):
Stop hiding noprint elements

https://gerrit.wikimedia.org/r/319099

@ssastry Right you are. Definitely specific to content service.

bearND added a subscriber: bearND.Nov 1 2016, 4:02 PM

Yes, the Content Service remove any div and sup elements with a noprint attribute. I've added a patch to remove the transformation which hides this.

Change 319099 merged by jenkins-bot:
Stop hiding noprint elements

https://gerrit.wikimedia.org/r/319099

bearND set the point value for this task to 0.5.Nov 2 2016, 7:34 PM
bearND closed this task as Resolved.EditedNov 2 2016, 9:30 PM

deployed with tag deploy/2016-11-02/0ced96c

Lbertolotti added a comment.EditedNov 2 2016, 9:50 PM

From Nexus 5: